メインコンテンツへスキップ
GET
/
metadata_templates
/
enterprise
/
securityClassification-6VMVochwUWo
/
schema
cURL
curl -i -X GET "https://api.box.com/2.0/metadata_templates/enterprise/securityClassification-6VMVochwUWo/schema" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
{
  "id": "58063d82-4128-7b43-bba9-92f706befcdf",
  "type": "metadata_template",
  "scope": "enterprise_123456",
  "templateKey": "securityClassification-6VMVochwUWo",
  "displayName": "Classification",
  "fields": [
    {
      "id": "822227e0-47a5-921b-88a8-494760b2e6d2",
      "type": "enum",
      "key": "Box__Security__Classification__Key",
      "displayName": "Classification",
      "options": [
        {
          "id": "46aea176-3483-4431-856c-6b5b13d1cc50",
          "key": "Sensitive",
          "staticConfig": {
            "classification": {
              "classificationDefinition": "Sensitive information",
              "colorID": 4
            }
          }
        }
      ],
      "hidden": false
    }
  ],
  "hidden": false,
  "copyInstanceOnItemCopy": true
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

レスポンス

securityClassificationメタデータテンプレートを返します。これには、この会社が使用できるすべての分類のリストを取得するBox__Security__Classification__Keyフィールドが含まれています。

会社が定義したセキュリティ分類を保持するメタデータテンプレート。

id
string
必須

分類テンプレートのID。

:

"58063d82-4128-7b43-bba9-92f706befcdf"

type
enum<string>
必須

値は常にmetadata_templateになります。

利用可能なオプション:
metadata_template
:

"metadata_template"

scope
string
必須

分類テンプレートのスコープ。これはenterprise_{id}形式 (idはEnterprise ID) になります。

:

"enterprise_123456"

templateKey
enum<string>
必須

値は常にsecurityClassification-6VMVochwUWoになります。

利用可能なオプション:
securityClassification-6VMVochwUWo
:

"securityClassification-6VMVochwUWo"

displayName
enum<string>
必須

ウェブインターフェースおよびモバイルインターフェースに表示されるこのテンプレートの名前。

利用可能なオプション:
Classification
:

"Classification"

fields
object[]
必須

この分類テンプレートのフィールドのリスト。これには、Box__Security__Classification__Keyというフィールドが1つだけ含まれています。これにより、この会社で使用できるさまざまな分類が定義されます。

Required array length: 1 element
hidden
boolean

このテンプレートを常にウェブインターフェースおよびモバイルインターフェースで使用可能にするかどうかを決定します。

:

false

copyInstanceOnItemCopy
boolean

ファイルまたはフォルダをコピーするときに分類もコピーするかどうかを決定します。

:

true